services:
  marzban-node:
    container_name: austria-mrdk-node
    image: gozargah/marzban-node:latest
    restart: always
    network_mode: host
    environment:
      SSL_CLIENT_CERT_FILE: "/var/lib/marzban-node/cert.pem"
      SERVICE_PORT: "62050"
      XRAY_API_PORT: "62055"
      SERVICE_PROTOCOL: "rest"
      XRAY_EXECUTABLE_PATH: /var/lib/marzban-node/xray-core/xray
    volumes:
      - /var/lib/austria-mrdk-node:/var/lib/marzban
      - /var/lib/austria-mrdk-node:/var/lib/marzban-node
